#version 330

#header uniforms

layout(location=0) in vec3 in_Position;

// Position in world space coordinates
out vec3 vs_WorldPos;

void main()
{
	vec4 vPos = vec4( in_Position, 1 );
	vs_WorldPos = (mWorld * vPos).xyz;
	gl_Position = mWorldViewProjection * vPos;
}